{-|
Module      : EventLoop.CommonTypes
Description : All common types throughout the "EventLoop" module
Copyright   : (c) Sebastiaan la Fleur, 2014
License     : BSD3
Maintainer  : sebastiaan.la.fleur@gmail.com
Stability   : experimental
Portability : All

All common types throughout the "EventLoop" module
-}
module EventLoop.CommonTypes
    ( Pos
    , Dimension
    , Element
    ) where

{-| 
 Type to express a position on the screen. 
 It uses the format (x,y). 
 As Canvas is used in the example implementation, remember that the lefttop corner is (0,0) and the leftbottom corner is (0, height of screen).
-}
type Pos = (Float,Float)

-- | Type to express the dimension of an element. It uses the format (w,h).
type Dimension = (Float, Float)

-- | The name of a graphical element.  It is used for 'EventLoop.Input.Mouse' to express the name of which element is clicked on.
type Element = [Char]