{-|
Module      : EventLoop.Config
Description : All string literals used through the "EventLoop" module
Copyright   : (c) Sebastiaan la Fleur, 2014
License     : BSD3
Maintainer  : sebastiaan.la.fleur@gmail.com
Stability   : experimental
Portability : All

All string literals used through the "EventLoop" module
-}
module EventLoop.Config where

import FPPrac

------------------
-- | The server listening address used. It is set to localhost (127.0.0.1).
ipadres = "127.0.0.1"
-- | The server port number used. It is set to 9161.
port = 9161 :: Int

-----------
-- Response modes
graphicalS      = "graphical"
commandS        = "command"
modeS           = "mode"
drawS           = "draw"
movegroupS      = "movegroup"
moveelementS    = "moveelement"
removegroupS    = "removegroup"
removeelementS  = "removeelement"
clearallS       = "clearall"

gobjectS    = "gobject"
nameS       = "name"
groupnameS  = "groupname"
positionS   = "position"
relativeS   = "relative"

-- GObject options
containerS  = "containers"
primS       = "prim"
childrenS   = "children"

-- JSONObject/Primitive options
typeS   = "type"
textS   = "text"
lineS   = "line"
rectS   = "rect"
arcS    = "arc"

edgecolorS      = "edgecolor"
edgethicknessS  = "edgethickness"
colorS          = "color"
positionsS      = "positions"

sizeS = "size"
fontS = "font"
fromcenterS = "fromcenter"

widthS = "width"
heightS = "height"
radiusS = "radius"
startangS = "startang"
endangS = "endang"

-- Color
rS = "r"
bS = "b"
gS = "g"

-- Position
xS = "x"
yS = "y"

----------
-- Request options

buttonS = "button"

-- Mouse
mouseS = "mouse"
mousetypeS = "mousetype"
mouseclickS = "mouseclick"
mouseupS = "mouseup"
mousedownS = "mousedown"
leftS = "left"
middleS = "middle"
rightS = "right"
elementS = "element"

-- Keyboard
keyboardS = "keyboard"

-- SystemMessage
systemmessageS = "systemmessage"
backgroundS = "background"
setupS = "setup"
timeS = "time"

-- SystemMessageAnswers
sysmessageanswersS = "systemmessageanswers"
sysmessageanswerS = "systemmessageanswer"
messageS = "message"
answersS = "answers"
canvassetupS = "canvassetup"
dimensionS = "dimension"
timerS = "timer"
timedataS  = "timedata"
useS = "use"
iS = "i"
closeS = "close"


-- Dimension
hS = "h"
wS = "w"